| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DoxygenExample.ino File Reference
Documentation » Doxygen Documentation Example

Doxygen Example. More...

## Detailed Description

Doxygen Example.

    ********Insert Notes About The .ino Here

        Instert HTML Link Here

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DoxygenExample.ino.

Go to the source code of this file.

## Functions
static void | function1 (int param1, float param2, char param3)
| Message that describes the function. More...
static float | function2 ()
| Message that describes the function. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static float | var1
| Message that describes the function of the variable. More...
static int | var2 = 123
| Message that describes the function of the variable. More...

## Function Documentation

## ◆ function1()

static void function1 | ( | int | param1,
|  | float | param2,
|  | char | param3
| ) |  |
| static

Message that describes the function.

Returns
  void

Parameters

  param1 | Message that describes the function of the variable
  param2 | Message that describes the function of the variable
  param3 | Message that describes the function of the variable

Definition at line 77 of file DoxygenExample.ino.

## ◆ function2()

static float function2 | ( |  | ) |
| static

Message that describes the function.

Returns
  Describe the return conditions

Definition at line 86 of file DoxygenExample.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Returns
  void

Definition at line 69 of file DoxygenExample.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 63 of file DoxygenExample.ino.

## Variable Documentation

## ◆ var1

float var1
| static

Message that describes the function of the variable.

Definition at line 58 of file DoxygenExample.ino.

## ◆ var2

int var2 = 123
| static

Message that describes the function of the variable.

Definition at line 59 of file DoxygenExample.ino.